MORTextInternal::Paragraph Struct Reference

Internal: the paragraph of a MORText. More...

Inheritance diagram for MORTextInternal::Paragraph:

## Public Member Functions

| Paragraph ()
| constructor More...
void | setLeftMargin (double margin, bool fromParent)
| set the left margin in inch More...
void | setRightMargin (double margin, bool fromParent)
| set the right margin in inch More...
void | updateToFinalState (MWAWParagraph const &parent, int level, MWAWListManager &listManager)
| update the paragraph to obtain the final paragraph More...
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, WPXUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (WPXPropertyList &propList, bool inTable) const
| add to the propList More...
void | addTabsTo (WPXPropertyListVector &propList, double decalX=0.0) const
| add tabs to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes

double | m_marginsFromParent [2]
| the left and right margins from parent in inches More...
int | m_listType
| the list type (0: none, 1: leader, ...) More...
MWAWListLevel | m_customListLevel
| a custom list level ( only defined if m_listType>=0xb) More...
bool | m_pageBreak
| true if we need to add a page break before More...
bool | m_keepOutlineTogether
| true if we need to keep outline together More...
Public Attributes inherited from MWAWParagraph
Variable< double > | m_margins [3]
| the margins More...
Variable< WPXUnit > | m_marginsUnit
| the margins INCH, ... More...
Variable< double > | m_spacings [3]
| the line spacing More...
Variable< WPXUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
Variable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
Variable< std::vector < MWAWTabStop > > | m_tabs
| the tabulations More...
Variable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
Variable< Justification > | m_justify
| the justification More...
Variable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
Variable< int > | m_listLevelIndex
| the actual level index More...
Variable< int > | m_listId
| the list id (if know ) More...
Variable< int > | m_listStartValue
| the list start value (if set ) More...
Variable< MWAWListLevel > | m_listLevel
| the actual level More...
Variable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< Variable < MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_extra
| a string to store some errors More...

## Additional Inherited Members

Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: the paragraph of a MORText.

## Constructor & Destructor Documentation

MORTextInternal::Paragraph::Paragraph | ( |  | ) |

inline

constructor

## Member Function Documentation

void MORTextInternal::Paragraph::setLeftMargin | ( | double | margin,
|  | bool | fromParent
| ) |  |

inline

set the left margin in inch

Referenced by MORText::readOutline().

void MORTextInternal::Paragraph::setRightMargin | ( | double | margin,
|  | bool | fromParent
| ) |  |

inline

set the right margin in inch

Referenced by MORText::readOutline().

void MORTextInternal::Paragraph::updateToFinalState | ( | MWAWParagraph const & | parent,
|  | int | level,
|  | MWAWListManager & | listManager
| ) |  |

inline

update the paragraph to obtain the final paragraph

Referenced by MORText::sendTopic().

## Member Data Documentation

MWAWListLevel MORTextInternal::Paragraph::m_customListLevel

a custom list level ( only defined if m_listType>=0xb)

Referenced by MORText::readOutline(), and updateToFinalState().

bool MORTextInternal::Paragraph::m_keepOutlineTogether

true if we need to keep outline together

Referenced by MORText::readOutline().

int MORTextInternal::Paragraph::m_listType

the list type (0: none, 1: leader, ...)

Referenced by MORTextInternal::Outline::Outline(), MORText::readOutline(), MORText::sendTopic(), and updateToFinalState().

double MORTextInternal::Paragraph::m_marginsFromParent[2]

the left and right margins from parent in inches

Referenced by Paragraph(), setLeftMargin(), setRightMargin(), and updateToFinalState().

bool MORTextInternal::Paragraph::m_pageBreak

true if we need to add a page break before

Referenced by MORText::readOutline(), and MORText::sendTopic().

The documentation for this struct was generated from the following file:

- MORText.cxx